
library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity regcc10 is 
    port( Data : in std_logic_vector(9 downto 0);Enable, Aclr, 
        Clock : in std_logic; Q : out std_logic_vector(9 downto 0
        )) ;
end regcc10;


architecture DEF_ARCH of  regcc10 is

    component BUFF
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component DFC1B_CC
        port(D, CLR, CLK : in std_logic := 'U'; Q : out std_logic
        ) ;
    end component;

    component MX2
        port(A, B, S : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    signal Q_0_net, Q_1_net, Q_2_net, Q_3_net, Q_4_net, Q_5_net, 
        Q_6_net, Q_7_net, Q_8_net, Q_9_net, EnAux_0_net, 
        EnAux_5_net, ClrAux_0_net, ClrAux_5_net, MX2_7_Y, MX2_0_Y, 
        MX2_1_Y, MX2_2_Y, MX2_3_Y, MX2_5_Y, MX2_4_Y, MX2_6_Y, 
        MX2_8_Y, MX2_9_Y : std_logic ;
    begin   

    Q(0) <= Q_0_net;
    
    Q(1) <= Q_1_net;
    
    Q(2) <= Q_2_net;
    
    Q(3) <= Q_3_net;
    
    Q(4) <= Q_4_net;
    
    Q(5) <= Q_5_net;
    
    Q(6) <= Q_6_net;
    
    Q(7) <= Q_7_net;
    
    Q(8) <= Q_8_net;
    
    Q(9) <= Q_9_net;
    
    BUFF_EnAux_0_inst : BUFF
   port map(A => Enable, Y => EnAux_0_net);
    DFC1B_CC_Q_0_inst : DFC1B_CC
   port map(D => MX2_2_Y, CLR => ClrAux_0_net, CLK => Clock, Q => 
        Q_0_net);
    DFC1B_CC_Q_6_inst : DFC1B_CC
   port map(D => MX2_0_Y, CLR => ClrAux_5_net, CLK => Clock, Q => 
        Q_6_net);
    BUFF_ClrAux_0_inst : BUFF
   port map(A => Aclr, Y => ClrAux_0_net);
    MX2_9 : MX2
   port map(A => Q_4_net, B => Data(4), S => EnAux_0_net, Y => 
        MX2_9_Y);
    DFC1B_CC_Q_4_inst : DFC1B_CC
   port map(D => MX2_9_Y, CLR => ClrAux_0_net, CLK => Clock, Q => 
        Q_4_net);
    MX2_0 : MX2
   port map(A => Q_6_net, B => Data(6), S => EnAux_5_net, Y => 
        MX2_0_Y);
    MX2_6 : MX2
   port map(A => Q_3_net, B => Data(3), S => EnAux_0_net, Y => 
        MX2_6_Y);
    DFC1B_CC_Q_9_inst : DFC1B_CC
   port map(D => MX2_8_Y, CLR => ClrAux_5_net, CLK => Clock, Q => 
        Q_9_net);
    DFC1B_CC_Q_8_inst : DFC1B_CC
   port map(D => MX2_3_Y, CLR => ClrAux_5_net, CLK => Clock, Q => 
        Q_8_net);
    MX2_3 : MX2
   port map(A => Q_8_net, B => Data(8), S => EnAux_5_net, Y => 
        MX2_3_Y);
    DFC1B_CC_Q_2_inst : DFC1B_CC
   port map(D => MX2_7_Y, CLR => ClrAux_0_net, CLK => Clock, Q => 
        Q_2_net);
    MX2_4 : MX2
   port map(A => Q_1_net, B => Data(1), S => EnAux_0_net, Y => 
        MX2_4_Y);
    DFC1B_CC_Q_7_inst : DFC1B_CC
   port map(D => MX2_1_Y, CLR => ClrAux_5_net, CLK => Clock, Q => 
        Q_7_net);
    DFC1B_CC_Q_5_inst : DFC1B_CC
   port map(D => MX2_5_Y, CLR => ClrAux_5_net, CLK => Clock, Q => 
        Q_5_net);
    BUFF_ClrAux_5_inst : BUFF
   port map(A => Aclr, Y => ClrAux_5_net);
    MX2_5 : MX2
   port map(A => Q_5_net, B => Data(5), S => EnAux_5_net, Y => 
        MX2_5_Y);
    MX2_8 : MX2
   port map(A => Q_9_net, B => Data(9), S => EnAux_5_net, Y => 
        MX2_8_Y);
    MX2_2 : MX2
   port map(A => Q_0_net, B => Data(0), S => EnAux_0_net, Y => 
        MX2_2_Y);
    MX2_7 : MX2
   port map(A => Q_2_net, B => Data(2), S => EnAux_0_net, Y => 
        MX2_7_Y);
    DFC1B_CC_Q_3_inst : DFC1B_CC
   port map(D => MX2_6_Y, CLR => ClrAux_0_net, CLK => Clock, Q => 
        Q_3_net);
    MX2_1 : MX2
   port map(A => Q_7_net, B => Data(7), S => EnAux_5_net, Y => 
        MX2_1_Y);
    BUFF_EnAux_5_inst : BUFF
   port map(A => Enable, Y => EnAux_5_net);
    DFC1B_CC_Q_1_inst : DFC1B_CC
   port map(D => MX2_4_Y, CLR => ClrAux_0_net, CLK => Clock, Q => 
        Q_1_net);
end DEF_ARCH;
