-- Generated by WaveFormer Lite Version 9.0u at 12:0:47 on 5/21/2004
-- Stimulator for stimulus

library ieee, std;
use ieee.std_logic_1164.all;
-- Libraries used by Model Under Test.
use IEEE.std_logic_1164.all;
-- End Libraries used by Model Under Test.

entity stimulus is
  port (
    Data : out std_logic_vector(9 downto 0) := "ZZZZZZZZZZ";
    Enable : out std_logic := 'Z';
    Aclr : out std_logic := 'Z';
    Clock : out std_logic := 'Z');

  signal Data_driver : std_logic_vector(9 downto 0);
  signal Enable_driver : std_logic;
  signal Aclr_driver : std_logic;
  signal Clock_driver : std_logic;
end stimulus;

architecture STIMULATOR of stimulus is

  -- Control Signal Declarations
  type TStatus is (TB_INIT,TB_ABORT,TB_ONCE,TB_LOOPING,TB_DONE,TB_TIMEOUT,TB_RESTART);
  signal tb_status : TStatus;
  signal tb_ParameterInitFlag : boolean := false;

  -- Assignments from drivers to output and inout ports.

begin

  Data <= Data_driver;
  Enable <= Enable_driver;
  Aclr <= Aclr_driver;
  Clock <= Clock_driver;

  -- Status Control block.
  process
    variable good : boolean;
  begin
    wait until tb_ParameterInitFlag;
    tb_status <= TB_ONCE;
    wait for 1200.0 ns;
    tb_status <= TB_DONE;
    wait;
  end process;

  -- Parm Assignment Block
  AssignParms : process
  begin
    tb_ParameterInitFlag <= true;
    wait;
  end process;

  -- Clocked Sequences

  -- Sequence: Unclocked
  Unclocked : process
  begin
    Data_driver <= "0000000001";
    Enable_driver <= '1';
    Aclr_driver <= '1';
    Clock_driver <= '0';
    wait for 15.0 ns;
    Aclr_driver <= '0';
    wait for 29.0 ns;
    Aclr_driver <= '1';
    wait for 57.0 ns;
    Clock_driver <= '1';
    wait for 4.0 ns;
    Clock_driver <= '0';
    wait for 3.0 ns;
    Data_driver <= "0000000111";
    wait for 3.0 ns;
    Clock_driver <= '1';
    wait for 4.0 ns;
    Clock_driver <= '0';
    wait for 3.0 ns;
    Data_driver <= "1111111111";
    wait for 3.0 ns;
    Clock_driver <= '1';
    wait for 4.0 ns;
    Clock_driver <= '0';
    wait for 1075.0 ns;
    wait;
  end process;
end STIMULATOR;

-- Test Bench wrapper for stimulus and Model Under Test
library ieee, std;
use ieee.std_logic_1164.all;
-- Libraries used by Model Under Test.
use IEEE.std_logic_1164.all;
-- End Libraries used by Model Under Test.

entity testbench is
end testbench;
architecture tbGeneratedCode of testbench is
  signal Data : std_logic_vector(9 downto 0);
  signal Enable : std_logic;
  signal Aclr : std_logic;
  signal Clock : std_logic;
  signal Q : std_logic_vector(9 downto 0);

  -- Stimulator instance

begin

  stimulus_0 : entity work.stimulus
    port map (Data => Data,
              Enable => Enable,
              Aclr => Aclr,
              Clock => Clock);

  -- Instantiation of Model Under Test.
  regcc10_0 : entity work.regcc10
    port map (Data => Data,
              Enable => Enable,
              Aclr => Aclr,
              Clock => Clock,
              Q => Q);
end tbGeneratedCode;
