-- Version: Designer v5.2 5.2.0.14

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity shreg10 is

    port(CLR, CLK : in std_logic; REG8 : out std_logic);

end shreg10;

architecture DEF_ARCH of shreg10 is 

  component DFC1B
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component DFP1B
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

    signal REG0, REG1, REG2, REG3, REG4, REG5, REG6, REG7, 
        \REG8\, REG9 : std_logic;

begin 

    REG8 <= \REG8\;

    REGFF_6 : DFC1B
      port map(D => REG5, CLK => CLK, CLR => CLR, Q => REG6);
    
    REGFF_5 : DFC1B
      port map(D => REG4, CLK => CLK, CLR => CLR, Q => REG5);
    
    REGFF_9 : DFC1B
      port map(D => \REG8\, CLK => CLK, CLR => CLR, Q => REG9);
    
    REGFF_8 : DFC1B
      port map(D => REG7, CLK => CLK, CLR => CLR, Q => \REG8\);
    
    REGFF_4 : DFC1B
      port map(D => REG3, CLK => CLK, CLR => CLR, Q => REG4);
    
    REGFF_3 : DFC1B
      port map(D => REG2, CLK => CLK, CLR => CLR, Q => REG3);
    
    REGFF_7 : DFC1B
      port map(D => REG6, CLK => CLK, CLR => CLR, Q => REG7);
    
    REGFF_0 : DFP1B
      port map(D => REG9, CLK => CLK, PRE => CLR, Q => REG0);
    
    REGFF_2 : DFC1B
      port map(D => REG1, CLK => CLK, CLR => CLR, Q => REG2);
    
    REGFF_1 : DFC1B
      port map(D => REG0, CLK => CLK, CLR => CLR, Q => REG1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity shreg10_ld is

    port(LOAD : in std_logic_vector(4 downto 0); CLR : in
         std_logic; NEW_VALUE : in std_logic_vector(9 downto 0); 
        CLK : in std_logic; REG9 : out std_logic);

end shreg10_ld;

architecture DEF_ARCH of shreg10_ld is 

  component DFMB
    port(A, B, CLK, CLR : in std_logic := 'U'; Q : out std_logic; 
        S : in std_logic := 'U');
  end component;

  component BUFD
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

    signal DATA : std_logic_vector(9 downto 0);
    signal \DATA\, DATA_net_1, DATA_net_2, DATA_net_3, DATA_net_4, 
        DATA_net_5, DATA_net_6, DATA_net_7, DATA_net_8, \GND\, 
        REG0, REG1, REG2, REG3, REG4, REG5, REG6, REG7, REG8
         : std_logic;
    signal GND_power_net1 : std_logic;

begin 

    \GND\ <= GND_power_net1;

    REGFF_6 : DFMB
      port map(A => REG5, B => DATA_net_2, CLK => CLK, CLR => CLR, 
        Q => REG6, S => LOAD(3));
    
    REGFF_4 : DFMB
      port map(A => REG3, B => DATA_net_4, CLK => CLK, CLR => CLR, 
        Q => REG4, S => LOAD(2));
    
    REGFF_2 : DFMB
      port map(A => REG1, B => DATA_net_6, CLK => CLK, CLR => CLR, 
        Q => REG2, S => LOAD(1));
    
    DC0 : BUFD
      port map(A => NEW_VALUE(0), Y => DATA_net_8);
    
    DC6 : BUFD
      port map(A => NEW_VALUE(6), Y => DATA_net_2);
    
    DC4 : BUFD
      port map(A => NEW_VALUE(4), Y => DATA_net_4);
    
    DC5 : BUFD
      port map(A => NEW_VALUE(5), Y => DATA_net_3);
    
    REGFF_0 : DFMB
      port map(A => \GND\, B => DATA_net_8, CLK => CLK, CLR => 
        CLR, Q => REG0, S => LOAD(0));
    
    DC3 : BUFD
      port map(A => NEW_VALUE(3), Y => DATA_net_5);
    
    REGFF_9 : DFMB
      port map(A => REG8, B => DATA(9), CLK => CLK, CLR => CLR, Q
         => REG9, S => LOAD(4));
    
    DC7 : BUFD
      port map(A => NEW_VALUE(7), Y => DATA_net_1);
    
    DC1 : BUFD
      port map(A => NEW_VALUE(1), Y => DATA_net_7);
    
    REGFF_8 : DFMB
      port map(A => REG7, B => \DATA\, CLK => CLK, CLR => CLR, Q
         => REG8, S => LOAD(4));
    
    REGFF_5 : DFMB
      port map(A => REG4, B => DATA_net_3, CLK => CLK, CLR => CLR, 
        Q => REG5, S => LOAD(2));
    
    DC9 : BUFD
      port map(A => NEW_VALUE(9), Y => DATA(9));
    
    REGFF_1 : DFMB
      port map(A => REG0, B => DATA_net_7, CLK => CLK, CLR => CLR, 
        Q => REG1, S => LOAD(0));
    
    REGFF_7 : DFMB
      port map(A => REG6, B => DATA_net_1, CLK => CLK, CLR => CLR, 
        Q => REG7, S => LOAD(3));
    
    DC2 : BUFD
      port map(A => NEW_VALUE(2), Y => DATA_net_6);
    
    REGFF_3 : DFMB
      port map(A => REG2, B => DATA_net_5, CLK => CLK, CLR => CLR, 
        Q => REG3, S => LOAD(1));
    
    DC8 : BUFD
      port map(A => NEW_VALUE(8), Y => \DATA\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);


end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity CHANNEL_SHIFT is

    port(DATA_INPUT : in std_logic_vector(9 downto 0); CLR, CLK : 
        in std_logic; DATA_OUTPUT : out std_logic; ENABLE : in
         std_logic);

end CHANNEL_SHIFT;

architecture DEF_ARCH of CHANNEL_SHIFT is 

  component shreg10
    port(CLR, CLK : in std_logic := 'U'; REG8 : out std_logic);
  end component;

  component regcc10
    port(DATA : 
        in std_logic_vector(9 downto 0) := (others => 'U'); 
        ENABLE, ACLR, CLOCK : in std_logic := 'U'; Q : 
        out std_logic_vector(9 downto 0));
  end component;

  component DFC1B
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component shreg10_ld
    port(LOAD : 
        in std_logic_vector(4 downto 0) := (others => 'U'); CLR : 
        in std_logic := 'U'; NEW_VALUE : 
        in std_logic_vector(9 downto 0) := (others => 'U'); CLK : 
        in std_logic := 'U'; REG9 : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal LOAD : std_logic_vector(4 downto 0);
    signal \LOAD\, LOAD_net_1, LOAD_net_2, LOAD_net_3 : std_logic;
    signal NEW_VALUE : std_logic_vector(9 downto 0);
    signal \NEW_VALUE\, NEW_VALUE_net_1, NEW_VALUE_net_2, 
        NEW_VALUE_net_3, NEW_VALUE_net_4, NEW_VALUE_net_5, 
        NEW_VALUE_net_6, NEW_VALUE_net_7, NEW_VALUE_net_8, REG8_A, 
        REG8_B, VDD : std_logic;
    signal VCC_power_net1 : std_logic;

begin 

    VDD <= VCC_power_net1;

    REG_B : shreg10
      port map(CLR => CLR, CLK => CLK, REG8 => REG8_B);
    
    REG_A : shreg10
      port map(CLR => CLR, CLK => CLK, REG8 => REG8_A);
    
    \REGCC10\ : regcc10
      port map(DATA(9) => DATA_INPUT(9), DATA(8) => DATA_INPUT(8), 
        DATA(7) => DATA_INPUT(7), DATA(6) => DATA_INPUT(6), 
        DATA(5) => DATA_INPUT(5), DATA(4) => DATA_INPUT(4), 
        DATA(3) => DATA_INPUT(3), DATA(2) => DATA_INPUT(2), 
        DATA(1) => DATA_INPUT(1), DATA(0) => DATA_INPUT(0), 
        ENABLE => VDD, ACLR => CLR, CLOCK => ENABLE, Q(9) => 
        NEW_VALUE(9), Q(8) => \NEW_VALUE\, Q(7) => 
        NEW_VALUE_net_1, Q(6) => NEW_VALUE_net_2, Q(5) => 
        NEW_VALUE_net_3, Q(4) => NEW_VALUE_net_4, Q(3) => 
        NEW_VALUE_net_5, Q(2) => NEW_VALUE_net_6, Q(1) => 
        NEW_VALUE_net_7, Q(0) => NEW_VALUE_net_8);
    
    LOAD3 : DFC1B
      port map(D => REG8_B, CLK => CLK, CLR => CLR, Q => \LOAD\);
    
    LOAD0 : DFC1B
      port map(D => REG8_A, CLK => CLK, CLR => CLR, Q => 
        LOAD_net_3);
    
    REGFF : shreg10_ld
      port map(LOAD(4) => LOAD(4), LOAD(3) => \LOAD\, LOAD(2) => 
        LOAD_net_1, LOAD(1) => LOAD_net_2, LOAD(0) => LOAD_net_3, 
        CLR => CLR, NEW_VALUE(9) => NEW_VALUE(9), NEW_VALUE(8)
         => \NEW_VALUE\, NEW_VALUE(7) => NEW_VALUE_net_1, 
        NEW_VALUE(6) => NEW_VALUE_net_2, NEW_VALUE(5) => 
        NEW_VALUE_net_3, NEW_VALUE(4) => NEW_VALUE_net_4, 
        NEW_VALUE(3) => NEW_VALUE_net_5, NEW_VALUE(2) => 
        NEW_VALUE_net_6, NEW_VALUE(1) => NEW_VALUE_net_7, 
        NEW_VALUE(0) => NEW_VALUE_net_8, CLK => CLK, REG9 => 
        DATA_OUTPUT);
    
    LOAD1 : DFC1B
      port map(D => REG8_A, CLK => CLK, CLR => CLR, Q => 
        LOAD_net_2);
    
    LOAD4 : DFC1B
      port map(D => REG8_B, CLK => CLK, CLR => CLR, Q => LOAD(4));
    
    LOAD2 : DFC1B
      port map(D => REG8_B, CLK => CLK, CLR => CLR, Q => 
        LOAD_net_1);
    
    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
