-- Version: Designer v5.2 5.2.0.14

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity SHREG10_LD is

    port(LOAD : in std_logic_vector(4 downto 0); CLR : in
         std_logic; NEW_VALUE : in std_logic_vector(9 downto 0); 
        CLK : in std_logic; REG9 : out std_logic);

end SHREG10_LD;

architecture DEF_ARCH of SHREG10_LD is 

  component DFMB
    port(A, B, CLK, CLR : in std_logic := 'U'; Q : out std_logic; 
        S : in std_logic := 'U');
  end component;

  component BUFD
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

    signal DATA : std_logic_vector(9 downto 0);
    signal \DATA\, DATA_net_1, DATA_net_2, DATA_net_3, DATA_net_4, 
        DATA_net_5, DATA_net_6, DATA_net_7, DATA_net_8, \GND\, 
        REG0, REG1, REG2, REG3, REG4, REG5, REG6, REG7, REG8
         : std_logic;
    signal GND_power_net1 : std_logic;

begin 

    \GND\ <= GND_power_net1;

    REGFF_6 : DFMB
      port map(A => REG5, B => DATA_net_2, CLK => CLK, CLR => CLR, 
        Q => REG6, S => LOAD(3));
    
    REGFF_4 : DFMB
      port map(A => REG3, B => DATA_net_4, CLK => CLK, CLR => CLR, 
        Q => REG4, S => LOAD(2));
    
    REGFF_2 : DFMB
      port map(A => REG1, B => DATA_net_6, CLK => CLK, CLR => CLR, 
        Q => REG2, S => LOAD(1));
    
    DC0 : BUFD
      port map(A => NEW_VALUE(0), Y => DATA_net_8);
    
    DC6 : BUFD
      port map(A => NEW_VALUE(6), Y => DATA_net_2);
    
    DC4 : BUFD
      port map(A => NEW_VALUE(4), Y => DATA_net_4);
    
    DC5 : BUFD
      port map(A => NEW_VALUE(5), Y => DATA_net_3);
    
    REGFF_0 : DFMB
      port map(A => \GND\, B => DATA_net_8, CLK => CLK, CLR => 
        CLR, Q => REG0, S => LOAD(0));
    
    DC3 : BUFD
      port map(A => NEW_VALUE(3), Y => DATA_net_5);
    
    REGFF_9 : DFMB
      port map(A => REG8, B => DATA(9), CLK => CLK, CLR => CLR, Q
         => REG9, S => LOAD(4));
    
    DC7 : BUFD
      port map(A => NEW_VALUE(7), Y => DATA_net_1);
    
    DC1 : BUFD
      port map(A => NEW_VALUE(1), Y => DATA_net_7);
    
    REGFF_8 : DFMB
      port map(A => REG7, B => \DATA\, CLK => CLK, CLR => CLR, Q
         => REG8, S => LOAD(4));
    
    REGFF_5 : DFMB
      port map(A => REG4, B => DATA_net_3, CLK => CLK, CLR => CLR, 
        Q => REG5, S => LOAD(2));
    
    DC9 : BUFD
      port map(A => NEW_VALUE(9), Y => DATA(9));
    
    REGFF_1 : DFMB
      port map(A => REG0, B => DATA_net_7, CLK => CLK, CLR => CLR, 
        Q => REG1, S => LOAD(0));
    
    REGFF_7 : DFMB
      port map(A => REG6, B => DATA_net_1, CLK => CLK, CLR => CLR, 
        Q => REG7, S => LOAD(3));
    
    DC2 : BUFD
      port map(A => NEW_VALUE(2), Y => DATA_net_6);
    
    REGFF_3 : DFMB
      port map(A => REG2, B => DATA_net_5, CLK => CLK, CLR => CLR, 
        Q => REG3, S => LOAD(1));
    
    DC8 : BUFD
      port map(A => NEW_VALUE(8), Y => \DATA\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);


end DEF_ARCH; 
