-- Version: Designer v5.2 5.2.0.14

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity shreg10 is

    port(CLR, CLK : in std_logic; REG8 : out std_logic);

end shreg10;

architecture DEF_ARCH of shreg10 is 

  component DFC1B
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component DFP1B
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

    signal REG0, REG1, REG2, REG3, REG4, REG5, REG6, REG7, 
        \REG8\, REG9 : std_logic;

begin 

    REG8 <= \REG8\;

    REGFF_6 : DFC1B
      port map(D => REG5, CLK => CLK, CLR => CLR, Q => REG6);
    
    REGFF_5 : DFC1B
      port map(D => REG4, CLK => CLK, CLR => CLR, Q => REG5);
    
    REGFF_9 : DFC1B
      port map(D => \REG8\, CLK => CLK, CLR => CLR, Q => REG9);
    
    REGFF_8 : DFC1B
      port map(D => REG7, CLK => CLK, CLR => CLR, Q => \REG8\);
    
    REGFF_4 : DFC1B
      port map(D => REG3, CLK => CLK, CLR => CLR, Q => REG4);
    
    REGFF_3 : DFC1B
      port map(D => REG2, CLK => CLK, CLR => CLR, Q => REG3);
    
    REGFF_7 : DFC1B
      port map(D => REG6, CLK => CLK, CLR => CLR, Q => REG7);
    
    REGFF_0 : DFP1B
      port map(D => REG9, CLK => CLK, PRE => CLR, Q => REG0);
    
    REGFF_2 : DFC1B
      port map(D => REG1, CLK => CLK, CLR => CLR, Q => REG2);
    
    REGFF_1 : DFC1B
      port map(D => REG0, CLK => CLK, CLR => CLR, Q => REG1);
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity shreg10_ld is

    port(LOAD : in std_logic_vector(4 downto 0); CLR : in
         std_logic; NEW_VALUE : in std_logic_vector(9 downto 0); 
        CLK : in std_logic; REG9 : out std_logic);

end shreg10_ld;

architecture DEF_ARCH of shreg10_ld is 

  component DFMB
    port(A, B, CLK, CLR : in std_logic := 'U'; Q : out std_logic; 
        S : in std_logic := 'U');
  end component;

  component BUFD
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

    signal DATA : std_logic_vector(9 downto 0);
    signal \DATA\, DATA_net_1, DATA_net_2, DATA_net_3, DATA_net_4, 
        DATA_net_5, DATA_net_6, DATA_net_7, DATA_net_8, \GND\, 
        REG0, REG1, REG2, REG3, REG4, REG5, REG6, REG7, REG8
         : std_logic;
    signal GND_power_net1 : std_logic;

begin 

    \GND\ <= GND_power_net1;

    REGFF_6 : DFMB
      port map(A => REG5, B => DATA_net_2, CLK => CLK, CLR => CLR, 
        Q => REG6, S => LOAD(3));
    
    REGFF_4 : DFMB
      port map(A => REG3, B => DATA_net_4, CLK => CLK, CLR => CLR, 
        Q => REG4, S => LOAD(2));
    
    REGFF_2 : DFMB
      port map(A => REG1, B => DATA_net_6, CLK => CLK, CLR => CLR, 
        Q => REG2, S => LOAD(1));
    
    DC0 : BUFD
      port map(A => NEW_VALUE(0), Y => DATA_net_8);
    
    DC6 : BUFD
      port map(A => NEW_VALUE(6), Y => DATA_net_2);
    
    DC4 : BUFD
      port map(A => NEW_VALUE(4), Y => DATA_net_4);
    
    DC5 : BUFD
      port map(A => NEW_VALUE(5), Y => DATA_net_3);
    
    REGFF_0 : DFMB
      port map(A => \GND\, B => DATA_net_8, CLK => CLK, CLR => 
        CLR, Q => REG0, S => LOAD(0));
    
    DC3 : BUFD
      port map(A => NEW_VALUE(3), Y => DATA_net_5);
    
    REGFF_9 : DFMB
      port map(A => REG8, B => DATA(9), CLK => CLK, CLR => CLR, Q
         => REG9, S => LOAD(4));
    
    DC7 : BUFD
      port map(A => NEW_VALUE(7), Y => DATA_net_1);
    
    DC1 : BUFD
      port map(A => NEW_VALUE(1), Y => DATA_net_7);
    
    REGFF_8 : DFMB
      port map(A => REG7, B => \DATA\, CLK => CLK, CLR => CLR, Q
         => REG8, S => LOAD(4));
    
    REGFF_5 : DFMB
      port map(A => REG4, B => DATA_net_3, CLK => CLK, CLR => CLR, 
        Q => REG5, S => LOAD(2));
    
    DC9 : BUFD
      port map(A => NEW_VALUE(9), Y => DATA(9));
    
    REGFF_1 : DFMB
      port map(A => REG0, B => DATA_net_7, CLK => CLK, CLR => CLR, 
        Q => REG1, S => LOAD(0));
    
    REGFF_7 : DFMB
      port map(A => REG6, B => DATA_net_1, CLK => CLK, CLR => CLR, 
        Q => REG7, S => LOAD(3));
    
    DC2 : BUFD
      port map(A => NEW_VALUE(2), Y => DATA_net_6);
    
    REGFF_3 : DFMB
      port map(A => REG2, B => DATA_net_5, CLK => CLK, CLR => CLR, 
        Q => REG3, S => LOAD(1));
    
    DC8 : BUFD
      port map(A => NEW_VALUE(8), Y => \DATA\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);


end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity channel_shift is

    port(DATA_INPUT : in std_logic_vector(9 downto 0); CLR, CLK : 
        in std_logic; DATA_OUTPUT : out std_logic; ENABLE : in
         std_logic);

end channel_shift;

architecture DEF_ARCH of channel_shift is 

  component shreg10
    port(CLR, CLK : in std_logic := 'U'; REG8 : out std_logic);
  end component;

  component regcc10
    port(DATA : 
        in std_logic_vector(9 downto 0) := (others => 'U'); 
        ENABLE, ACLR, CLOCK : in std_logic := 'U'; Q : 
        out std_logic_vector(9 downto 0));
  end component;

  component DFC1B
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component shreg10_ld
    port(LOAD : 
        in std_logic_vector(4 downto 0) := (others => 'U'); CLR : 
        in std_logic := 'U'; NEW_VALUE : 
        in std_logic_vector(9 downto 0) := (others => 'U'); CLK : 
        in std_logic := 'U'; REG9 : out std_logic);
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal LOAD : std_logic_vector(4 downto 0);
    signal \LOAD\, LOAD_net_1, LOAD_net_2, LOAD_net_3 : std_logic;
    signal NEW_VALUE : std_logic_vector(9 downto 0);
    signal \NEW_VALUE\, NEW_VALUE_net_1, NEW_VALUE_net_2, 
        NEW_VALUE_net_3, NEW_VALUE_net_4, NEW_VALUE_net_5, 
        NEW_VALUE_net_6, NEW_VALUE_net_7, NEW_VALUE_net_8, REG8_A, 
        REG8_B, VDD : std_logic;
    signal VCC_power_net1 : std_logic;

begin 

    VDD <= VCC_power_net1;

    REG_B : shreg10
      port map(CLR => CLR, CLK => CLK, REG8 => REG8_B);
    
    REG_A : shreg10
      port map(CLR => CLR, CLK => CLK, REG8 => REG8_A);
    
    \REGCC10\ : regcc10
      port map(DATA(9) => DATA_INPUT(9), DATA(8) => DATA_INPUT(8), 
        DATA(7) => DATA_INPUT(7), DATA(6) => DATA_INPUT(6), 
        DATA(5) => DATA_INPUT(5), DATA(4) => DATA_INPUT(4), 
        DATA(3) => DATA_INPUT(3), DATA(2) => DATA_INPUT(2), 
        DATA(1) => DATA_INPUT(1), DATA(0) => DATA_INPUT(0), 
        ENABLE => VDD, ACLR => CLR, CLOCK => ENABLE, Q(9) => 
        NEW_VALUE(9), Q(8) => \NEW_VALUE\, Q(7) => 
        NEW_VALUE_net_1, Q(6) => NEW_VALUE_net_2, Q(5) => 
        NEW_VALUE_net_3, Q(4) => NEW_VALUE_net_4, Q(3) => 
        NEW_VALUE_net_5, Q(2) => NEW_VALUE_net_6, Q(1) => 
        NEW_VALUE_net_7, Q(0) => NEW_VALUE_net_8);
    
    LOAD3 : DFC1B
      port map(D => REG8_B, CLK => CLK, CLR => CLR, Q => \LOAD\);
    
    LOAD0 : DFC1B
      port map(D => REG8_A, CLK => CLK, CLR => CLR, Q => 
        LOAD_net_3);
    
    REGFF : shreg10_ld
      port map(LOAD(4) => LOAD(4), LOAD(3) => \LOAD\, LOAD(2) => 
        LOAD_net_1, LOAD(1) => LOAD_net_2, LOAD(0) => LOAD_net_3, 
        CLR => CLR, NEW_VALUE(9) => NEW_VALUE(9), NEW_VALUE(8)
         => \NEW_VALUE\, NEW_VALUE(7) => NEW_VALUE_net_1, 
        NEW_VALUE(6) => NEW_VALUE_net_2, NEW_VALUE(5) => 
        NEW_VALUE_net_3, NEW_VALUE(4) => NEW_VALUE_net_4, 
        NEW_VALUE(3) => NEW_VALUE_net_5, NEW_VALUE(2) => 
        NEW_VALUE_net_6, NEW_VALUE(1) => NEW_VALUE_net_7, 
        NEW_VALUE(0) => NEW_VALUE_net_8, CLK => CLK, REG9 => 
        DATA_OUTPUT);
    
    LOAD1 : DFC1B
      port map(D => REG8_A, CLK => CLK, CLR => CLR, Q => 
        LOAD_net_2);
    
    LOAD4 : DFC1B
      port map(D => REG8_B, CLK => CLK, CLR => CLR, Q => LOAD(4));
    
    LOAD2 : DFC1B
      port map(D => REG8_B, CLK => CLK, CLR => CLR, Q => 
        LOAD_net_1);
    
    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity TOP_CHANNEL is

    port(DATA_OUTPUT : out std_logic_vector(31 downto 0); 
        DATA_INPUT_B : in std_logic_vector(9 downto 0); EN : 
        in std_logic_vector(31 downto 0); DATA_INPUT_A : 
        in std_logic_vector(9 downto 0); CLK50, RESET : in
         std_logic);

end TOP_CHANNEL;

architecture DEF_ARCH of TOP_CHANNEL is 

  component channel_shift
    port(DATA_INPUT : 
        in std_logic_vector(9 downto 0) := (others => 'U'); CLR, 
        CLK : in std_logic := 'U'; DATA_OUTPUT : out std_logic; 
        ENABLE : in std_logic := 'U');
  end component;

  component inbuf10
    port(PAD : in std_logic_vector(9 downto 0) := (others => 'U'); 
        Y : out std_logic_vector(9 downto 0));
  end component;

  component INBUF
    port(PAD : in std_logic := 'U'; Y : out std_logic);
  end component;

  component inbuf32
    port(PAD : 
        in std_logic_vector(31 downto 0) := (others => 'U'); Y : 
        out std_logic_vector(31 downto 0));
  end component;

  component CLKBUF
    port(PAD : in std_logic := 'U'; Y : out std_logic);
  end component;

  component outbuf32
    port(DATA : 
        in std_logic_vector(31 downto 0) := (others => 'U'); PAD
         : out std_logic_vector(31 downto 0));
  end component;

  component clk1gig_pll
    port(REFCLK, PWRDN : in std_logic := 'U'; CLK1000, LOCK : out
         std_logic);
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal CLK_1000, CLK_50, \CLR\ : std_logic;
    signal DAT_A : std_logic_vector(9 downto 0);
    signal \DAT_A\, DAT_A_net_1, DAT_A_net_2, DAT_A_net_3, 
        DAT_A_net_4, DAT_A_net_5, DAT_A_net_6, DAT_A_net_7, 
        DAT_A_net_8 : std_logic;
    signal DAT_B : std_logic_vector(9 downto 0);
    signal \DAT_B\, DAT_B_net_1, DAT_B_net_2, DAT_B_net_3, 
        DAT_B_net_4, DAT_B_net_5, DAT_B_net_6, DAT_B_net_7, 
        DAT_B_net_8 : std_logic;
    signal DOUT : std_logic_vector(31 downto 0);
    signal \DOUT\, DOUT_net_1, DOUT_net_2, DOUT_net_3, DOUT_net_4, 
        DOUT_net_5, DOUT_net_6, DOUT_net_7, DOUT_net_8, 
        DOUT_net_9, DOUT_net_10, DOUT_net_11, DOUT_net_12, 
        DOUT_net_13, DOUT_net_14, DOUT_net_15, DOUT_net_16, 
        DOUT_net_17, DOUT_net_18, DOUT_net_19, DOUT_net_20, 
        DOUT_net_21, DOUT_net_22, DOUT_net_23, DOUT_net_24, 
        DOUT_net_25, DOUT_net_26, DOUT_net_27, DOUT_net_28, 
        DOUT_net_29, DOUT_net_30, \ENABLE\, ENABLE_net_1, 
        ENABLE_net_2, ENABLE_net_3, ENABLE_net_4, ENABLE_net_5, 
        ENABLE_net_6, ENABLE_net_7, ENABLE_net_8, ENABLE_net_9, 
        ENABLE_net_10, ENABLE_net_11, ENABLE_net_12, 
        ENABLE_net_13, ENABLE_net_14, ENABLE_net_15, 
        ENABLE_net_16, ENABLE_net_17, ENABLE_net_18, 
        ENABLE_net_19, ENABLE_net_20, ENABLE_net_21, 
        ENABLE_net_22, ENABLE_net_23, ENABLE_net_24, 
        ENABLE_net_25, ENABLE_net_26, ENABLE_net_27, 
        ENABLE_net_28, ENABLE_net_29, ENABLE_net_30, 
        ENABLE_net_31, VDD : std_logic;
    signal VCC_power_net1 : std_logic;

begin 

    VDD <= VCC_power_net1;

    CHANNEL9 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_21, ENABLE => 
        ENABLE_net_22);
    
    CHANNEL19 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_11, ENABLE => 
        ENABLE_net_12);
    
    NEW_VALUE_A : inbuf10
      port map(PAD(9) => DATA_INPUT_A(9), PAD(8) => 
        DATA_INPUT_A(8), PAD(7) => DATA_INPUT_A(7), PAD(6) => 
        DATA_INPUT_A(6), PAD(5) => DATA_INPUT_A(5), PAD(4) => 
        DATA_INPUT_A(4), PAD(3) => DATA_INPUT_A(3), PAD(2) => 
        DATA_INPUT_A(2), PAD(1) => DATA_INPUT_A(1), PAD(0) => 
        DATA_INPUT_A(0), Y(9) => DAT_A(9), Y(8) => \DAT_A\, Y(7)
         => DAT_A_net_1, Y(6) => DAT_A_net_2, Y(5) => DAT_A_net_3, 
        Y(4) => DAT_A_net_4, Y(3) => DAT_A_net_5, Y(2) => 
        DAT_A_net_6, Y(1) => DAT_A_net_7, Y(0) => DAT_A_net_8);
    
    CHANNEL7 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_23, ENABLE => 
        ENABLE_net_24);
    
    CHANNEL25 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_5, ENABLE => 
        ENABLE_net_6);
    
    CHANNEL2 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_28, ENABLE => 
        ENABLE_net_29);
    
    CHANNEL20 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_10, ENABLE => 
        ENABLE_net_11);
    
    CHANNEL17 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_13, ENABLE => 
        ENABLE_net_14);
    
    CHANNEL28 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_2, ENABLE => 
        ENABLE_net_3);
    
    CHANNEL5 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_25, ENABLE => 
        ENABLE_net_26);
    
    CHANNEL6 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_24, ENABLE => 
        ENABLE_net_25);
    
    CHANNEL24 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_6, ENABLE => 
        ENABLE_net_7);
    
    NEW_VALUE_B : inbuf10
      port map(PAD(9) => DATA_INPUT_B(9), PAD(8) => 
        DATA_INPUT_B(8), PAD(7) => DATA_INPUT_B(7), PAD(6) => 
        DATA_INPUT_B(6), PAD(5) => DATA_INPUT_B(5), PAD(4) => 
        DATA_INPUT_B(4), PAD(3) => DATA_INPUT_B(3), PAD(2) => 
        DATA_INPUT_B(2), PAD(1) => DATA_INPUT_B(1), PAD(0) => 
        DATA_INPUT_B(0), Y(9) => DAT_B(9), Y(8) => \DAT_B\, Y(7)
         => DAT_B_net_1, Y(6) => DAT_B_net_2, Y(5) => DAT_B_net_3, 
        Y(4) => DAT_B_net_4, Y(3) => DAT_B_net_5, Y(2) => 
        DAT_B_net_6, Y(1) => DAT_B_net_7, Y(0) => DAT_B_net_8);
    
    CHANNEL15 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_15, ENABLE => 
        ENABLE_net_16);
    
    CHANNEL1 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_29, ENABLE => 
        ENABLE_net_30);
    
    CHANNEL10 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_20, ENABLE => 
        ENABLE_net_21);
    
    \$1I155\ : INBUF
      port map(PAD => CLK50, Y => CLK_50);
    
    CHANNEL8 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_22, ENABLE => 
        ENABLE_net_23);
    
    CHANNEL18 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_12, ENABLE => 
        ENABLE_net_13);
    
    CHANNEL22 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_8, ENABLE => 
        ENABLE_net_9);
    
    CHANNEL31 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT(31), ENABLE => 
        \ENABLE\);
    
    CHANNEL14 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_16, ENABLE => 
        ENABLE_net_17);
    
    ENABLE : inbuf32
      port map(PAD(31) => EN(31), PAD(30) => EN(30), PAD(29) => 
        EN(29), PAD(28) => EN(28), PAD(27) => EN(27), PAD(26) => 
        EN(26), PAD(25) => EN(25), PAD(24) => EN(24), PAD(23) => 
        EN(23), PAD(22) => EN(22), PAD(21) => EN(21), PAD(20) => 
        EN(20), PAD(19) => EN(19), PAD(18) => EN(18), PAD(17) => 
        EN(17), PAD(16) => EN(16), PAD(15) => EN(15), PAD(14) => 
        EN(14), PAD(13) => EN(13), PAD(12) => EN(12), PAD(11) => 
        EN(11), PAD(10) => EN(10), PAD(9) => EN(9), PAD(8) => 
        EN(8), PAD(7) => EN(7), PAD(6) => EN(6), PAD(5) => EN(5), 
        PAD(4) => EN(4), PAD(3) => EN(3), PAD(2) => EN(2), PAD(1)
         => EN(1), PAD(0) => EN(0), Y(31) => \ENABLE\, Y(30) => 
        ENABLE_net_1, Y(29) => ENABLE_net_2, Y(28) => 
        ENABLE_net_3, Y(27) => ENABLE_net_4, Y(26) => 
        ENABLE_net_5, Y(25) => ENABLE_net_6, Y(24) => 
        ENABLE_net_7, Y(23) => ENABLE_net_8, Y(22) => 
        ENABLE_net_9, Y(21) => ENABLE_net_10, Y(20) => 
        ENABLE_net_11, Y(19) => ENABLE_net_12, Y(18) => 
        ENABLE_net_13, Y(17) => ENABLE_net_14, Y(16) => 
        ENABLE_net_15, Y(15) => ENABLE_net_16, Y(14) => 
        ENABLE_net_17, Y(13) => ENABLE_net_18, Y(12) => 
        ENABLE_net_19, Y(11) => ENABLE_net_20, Y(10) => 
        ENABLE_net_21, Y(9) => ENABLE_net_22, Y(8) => 
        ENABLE_net_23, Y(7) => ENABLE_net_24, Y(6) => 
        ENABLE_net_25, Y(5) => ENABLE_net_26, Y(4) => 
        ENABLE_net_27, Y(3) => ENABLE_net_28, Y(2) => 
        ENABLE_net_29, Y(1) => ENABLE_net_30, Y(0) => 
        ENABLE_net_31);
    
    CLR : CLKBUF
      port map(PAD => RESET, Y => \CLR\);
    
    CHANNEL12 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_18, ENABLE => 
        ENABLE_net_19);
    
    CHANNEL4 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_26, ENABLE => 
        ENABLE_net_27);
    
    \OUTBUF32\ : outbuf32
      port map(DATA(31) => DOUT(31), DATA(30) => \DOUT\, DATA(29)
         => DOUT_net_1, DATA(28) => DOUT_net_2, DATA(27) => 
        DOUT_net_3, DATA(26) => DOUT_net_4, DATA(25) => 
        DOUT_net_5, DATA(24) => DOUT_net_6, DATA(23) => 
        DOUT_net_7, DATA(22) => DOUT_net_8, DATA(21) => 
        DOUT_net_9, DATA(20) => DOUT_net_10, DATA(19) => 
        DOUT_net_11, DATA(18) => DOUT_net_12, DATA(17) => 
        DOUT_net_13, DATA(16) => DOUT_net_14, DATA(15) => 
        DOUT_net_15, DATA(14) => DOUT_net_16, DATA(13) => 
        DOUT_net_17, DATA(12) => DOUT_net_18, DATA(11) => 
        DOUT_net_19, DATA(10) => DOUT_net_20, DATA(9) => 
        DOUT_net_21, DATA(8) => DOUT_net_22, DATA(7) => 
        DOUT_net_23, DATA(6) => DOUT_net_24, DATA(5) => 
        DOUT_net_25, DATA(4) => DOUT_net_26, DATA(3) => 
        DOUT_net_27, DATA(2) => DOUT_net_28, DATA(1) => 
        DOUT_net_29, DATA(0) => DOUT_net_30, PAD(31) => 
        DATA_OUTPUT(31), PAD(30) => DATA_OUTPUT(30), PAD(29) => 
        DATA_OUTPUT(29), PAD(28) => DATA_OUTPUT(28), PAD(27) => 
        DATA_OUTPUT(27), PAD(26) => DATA_OUTPUT(26), PAD(25) => 
        DATA_OUTPUT(25), PAD(24) => DATA_OUTPUT(24), PAD(23) => 
        DATA_OUTPUT(23), PAD(22) => DATA_OUTPUT(22), PAD(21) => 
        DATA_OUTPUT(21), PAD(20) => DATA_OUTPUT(20), PAD(19) => 
        DATA_OUTPUT(19), PAD(18) => DATA_OUTPUT(18), PAD(17) => 
        DATA_OUTPUT(17), PAD(16) => DATA_OUTPUT(16), PAD(15) => 
        DATA_OUTPUT(15), PAD(14) => DATA_OUTPUT(14), PAD(13) => 
        DATA_OUTPUT(13), PAD(12) => DATA_OUTPUT(12), PAD(11) => 
        DATA_OUTPUT(11), PAD(10) => DATA_OUTPUT(10), PAD(9) => 
        DATA_OUTPUT(9), PAD(8) => DATA_OUTPUT(8), PAD(7) => 
        DATA_OUTPUT(7), PAD(6) => DATA_OUTPUT(6), PAD(5) => 
        DATA_OUTPUT(5), PAD(4) => DATA_OUTPUT(4), PAD(3) => 
        DATA_OUTPUT(3), PAD(2) => DATA_OUTPUT(2), PAD(1) => 
        DATA_OUTPUT(1), PAD(0) => DATA_OUTPUT(0));
    
    CHANNEL23 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_7, ENABLE => 
        ENABLE_net_8);
    
    CHANNEL21 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_9, ENABLE => 
        ENABLE_net_10);
    
    CHANNEL26 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_4, ENABLE => 
        ENABLE_net_5);
    
    PLL : clk1gig_pll
      port map(REFCLK => CLK_50, PWRDN => VDD, CLK1000 => 
        CLK_1000, LOCK => OPEN);
    
    CHANNEL29 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_1, ENABLE => 
        ENABLE_net_2);
    
    CHANNEL13 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_17, ENABLE => 
        ENABLE_net_18);
    
    CHANNEL3 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_27, ENABLE => 
        ENABLE_net_28);
    
    CHANNEL30 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => \DOUT\, ENABLE => 
        ENABLE_net_1);
    
    CHANNEL11 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_19, ENABLE => 
        ENABLE_net_20);
    
    CHANNEL0 : channel_shift
      port map(DATA_INPUT(9) => DAT_A(9), DATA_INPUT(8) => 
        \DAT_A\, DATA_INPUT(7) => DAT_A_net_1, DATA_INPUT(6) => 
        DAT_A_net_2, DATA_INPUT(5) => DAT_A_net_3, DATA_INPUT(4)
         => DAT_A_net_4, DATA_INPUT(3) => DAT_A_net_5, 
        DATA_INPUT(2) => DAT_A_net_6, DATA_INPUT(1) => 
        DAT_A_net_7, DATA_INPUT(0) => DAT_A_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_30, ENABLE => 
        ENABLE_net_31);
    
    CHANNEL16 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_14, ENABLE => 
        ENABLE_net_15);
    
    CHANNEL27 : channel_shift
      port map(DATA_INPUT(9) => DAT_B(9), DATA_INPUT(8) => 
        \DAT_B\, DATA_INPUT(7) => DAT_B_net_1, DATA_INPUT(6) => 
        DAT_B_net_2, DATA_INPUT(5) => DAT_B_net_3, DATA_INPUT(4)
         => DAT_B_net_4, DATA_INPUT(3) => DAT_B_net_5, 
        DATA_INPUT(2) => DAT_B_net_6, DATA_INPUT(1) => 
        DAT_B_net_7, DATA_INPUT(0) => DAT_B_net_8, CLR => \CLR\, 
        CLK => CLK_1000, DATA_OUTPUT => DOUT_net_3, ENABLE => 
        ENABLE_net_4);
    
    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
